<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePathwayablesTable extends Migration
{
    public function up(): void
    {
        Schema::create('pathwayables', function (Blueprint $table): void {
            $table->unsignedBigInteger('pathway_id');
            $table->unsignedBigInteger('pathwayable_id');
            $table->string('pathwayable_type');

            $table->index(['pathway_id', 'pathwayable_id']);
        });
    }
}
