<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSpeakersTable extends Migration
{
    public function up(): void
    {
        Schema::create('speakers', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedBigInteger('user_id')->constrained('users');
            $table->string('type')->nullable();
            $table->timestamps();
        });
    }
}
